Results 1 to 2 of 2

Thread: using fillet

  1. #1
    Member
    Join Date
    2009-09
    Posts
    32
    Login to Give a bone
    0

    Default using fillet

    Hi all

    I am working on a lisp which draws some entities (collection of lines and arcs which are connected end to end and with same z value) and then performs fillet on them.

    I searched on internet and came to know that fillet does not work by providing entity names, instead we should provide information in the form returned by (entsel) function. Now I have drawn entities in the drawing and if I prompt user to select the entities by calling entget the prupose of creating an automation routine fails. I want to some how create list of the same form which is returned by (entsel), so that I can pass such lists to fillet for each pair of entities that I want to fillet. I am having problem about creating such list. Can we create such a list (entityname pt).

    If above is not possible is their some other way to make the fillet command work. If I call it by just providing entity names such as

    (command "_fillet" "r" rad_val "_fillet" ent1 ent2 "")

    or

    (command "fillet" "r" rad_val ent1 ent2)

    it behavior is unpredictable.

    Any cool help will be deeply appreciated.

  2. #2
    Certifiable AUGI Addict irneb's Avatar
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: using fillet

    Entsel basically returns a list containing the following:
    Code:
    (<EntityName> '(X Y Z))
    The '(X Y Z) is a list representing the XYZ coordinates as a 3d point of where the cursor was when the user clicked the mouse button. So in the case of fillet, it "should" work if that point is anywhere on the entity. So first you'll have to calculate a point on the entity (could be an endpoint, but with fillet I don't think so). You may want to look into the vlax-curve-XXX functions ... they help a lot when using arcs & polylines.

    To create the list after you've obtained the point you simply use the list function:
    Code:
    (command "._FILLET" "_Radius" rad_val
             (list ent1 pt1)
             (list ent2 pt2)
    )
    Knowledge is proportional to experience, but wisdom is inversely proportional to ego!
    My little bit of "wisdom": Hind-sight is useless, unless used to improve the next forethought!

Similar Threads

  1. 2011: Fillet
    By Clarence Worley in forum AutoCAD General
    Replies: 7
    Last Post: 2010-05-20, 07:41 PM
  2. 3D Fillet...
    By BeKirra in forum AutoCAD 3D (2007 and above)
    Replies: 2
    Last Post: 2009-08-06, 07:02 AM
  3. fillet
    By asmaa.14-7 in forum Dot Net API
    Replies: 0
    Last Post: 2008-11-09, 12:26 PM
  4. Fillet
    By benoit1045 in forum Inventor - General
    Replies: 7
    Last Post: 2007-09-12, 09:22 PM
  5. Fillet
    By Kroke in forum Revit Architecture - General
    Replies: 4
    Last Post: 2003-05-07, 08:37 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •